<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Fbclone_Form_Admin_Settings_Footer extends Engine_Form {

  public function init() {

    $settings = Engine_Api::_()->getApi('settings', 'core');

    $this->setTitle('Manage Footer Settings')
            ->setDescription('You can configure the features for the footer of your website via the settings below.');

    $this->addElement('Radio',
      'fbclone_helpenable',
      array(
          'label' => 'Enable Footer Menu Links',
          'description' => 'Do you want to enable the default <a href="admin/menus?name=core_footer" target="_blank">Footer Menu Links</a> in the footer of your website?',
          'multiOptions' => array('1'=>'Yes','0'=>'No'),
          'value'=>$settings->getSetting('fbclone.helpenable', '1'),
    ));
    $this->fbclone_helpenable->addDecorator('Description', array('placement' => Zend_Form_Decorator_Abstract::PREPEND, 'escape' => false));
    
    $this->addElement('Radio',
      'fbclone_socialenable',
      array(
          'label' => 'Enable Social Site Links Menu',
          'description' => 'Do you want to enable the default <a href="admin/menus?name=core_social_sites" target="_blank">Social Site Links Menu</a> in the footer of your website?',
          'multiOptions' => array('1'=>'Yes','0'=>'No'),
          'value'=>$settings->getSetting('fbclone.socialenable', '1'),
    ));
    $this->fbclone_socialenable->addDecorator('Description', array('placement' => Zend_Form_Decorator_Abstract::PREPEND, 'escape' => false));

    // Add submit button
    $this->addElement('Button', 'submit', array(
        'label' => 'Save Changes',
        'type' => 'submit',
        'ignore' => true
    ));
  }
}
